%define major 2

%define libname %mklibname faad %major
%define develname %mklibname -d %name
%define staticname %mklibname -s -d %name

Name:           faad2
Version:        2.7
Release:        %mkrel 3
Summary:        Freeware Advanced Audio Decoder version 2
Source0:        http://downloads.sourceforge.net/faac/%{name}-%{version}.tar.xz
Patch1:		faad2-2.7-automake-1.13.patch
URL:            http://www.audiocoding.com
License:        GPLv2
Group:          Sound
BuildRequires:  dos2unix
BuildRequires:  automake
Requires: glibc >= 2.20
Obsoletes: faad2-xmms

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

%package -n %libname
Summary:        Freeware Advanced Audio Decoder shared library
Group:          System/Libraries
Obsoletes:      %{_lib}faad2_2 < %version-%release
Provides:	 %{_lib}faad2_2 = %version-%release

%description -n %libname
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package contains the shared library needed by programs linked to
libfaad.

%package -n %develname
Summary:        Freeware Advanced Audio Decoder development files
Group:          Development/Libraries
Requires:       %libname = %version
Provides:       lib%{name}-devel  = %version-%release

%description -n %develname
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package contains the C++ headers needed to build programs with
libfaad.

%package -n %staticname
Summary:        Freeware Advanced Audio Decoder static libraries
Group:          Development/Libraries
Requires:       %develname = %version
Provides:       lib%{name}-static-devel  = %version-%release

%description -n %staticname
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package contains the static libraries needed to build programs
with libfaad.

%prep
%setup -q
dos2unix configure.in frontend/main.c common/mp4ff/mp4ffint.h common/mp4ff/Makefile.am
chmod 644 AUTHORS README TODO NEWS ChangeLog plugins/xmms/README
%patch1 -p1 -b .automake-1_13

%build
export CFLAGS="%optflags -fPIC -DPIC"
autoreconf -fi
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

mkdir -p %buildroot%_mandir/man1
mv %buildroot%_mandir/manm/faad.man %buildroot%_mandir/man1/faad.1

%files
%doc README NEWS TODO AUTHORS ChangeLog
%_bindir/faad
%_mandir/man1/faad.1*

%files -n %libname
%defattr(-,root,root)
%_libdir/libfaad.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/libfaad.so
%_includedir/*

%files -n %staticname
%defattr(-,root,root)
%_libdir/libfaad.a
%_libdir/libmp4ff.a


%changelog
* Fri Feb 20 2015 bb <bb> 2.7-3pclos2015
- rebuild new glibc
